
Ryzom - Bug # 1414

Status: Closed Priority: Normal
Author: sfb Category: Tools: General
Created: 12/21/2011 Assignee: sfb
Updated: 05/11/2012 Due date:
Subject: WebTT: raw file views admin_index and listdir are symlinks that don't work on Windows.
Description

When you pull WebTT down from Hg on a Linux box Hg will create the symlinks fine for admin_index and listdir but on Windows since
it has no concept of symlinks Hg doesn't know what to do, evidently, so it just creates a file called "admin_index.ctp" containing the
name of the file it symlinks to (index.ctp in this case.) We need to either tweak Hg to deal with this gracefully or remove the symlinks.

History
#1 - 03/22/2012 09:16 pm - sfb
- Status changed from New to Assigned
- Assignee set to sfb
- Target version set to Version 0.9.0

mattr@karmic:~/sandbox/ryzom/code/ryzom/tools/server/www/webtt$ find . -type l -print
./app/views/raw_files/listdir.ctp
./app/views/raw_files/admin_index.ctp

#2 - 03/22/2012 09:22 pm - sfb
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b60b521ef98a.

#3 - 05/11/2012 04:35 pm - sfb
- Status changed from Resolved to Closed
